Index: uspace/lib/softfloat/generic/div.c
===================================================================
--- uspace/lib/softfloat/generic/div.c	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/generic/div.c	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -41,13 +41,12 @@
 #include <common.h>
 
-/** Divide two single-precision floats.
- *
+/**
+ * Divide two single-precision floats.
+ * 
  * @param a Nominator.
  * @param b Denominator.
- *
  * @return Result of division.
- *
- */
-float32 div_float32(float32 a, float32 b)
+ */
+float32 divFloat32(float32 a, float32 b) 
 {
 	float32 result;
@@ -57,24 +56,24 @@
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
 	
-	if (is_float32_nan(a)) {
-		if (is_float32_signan(a)) {
-			// FIXME: SigNaN
-		}
-		/* NaN */
+	if (isFloat32NaN(a)) {
+		if (isFloat32SigNaN(a)) {
+			/*FIXME: SigNaN*/
+		}
+		/*NaN*/
 		return a;
 	}
 	
-	if (is_float32_nan(b)) {
-		if (is_float32_signan(b)) {
-			// FIXME: SigNaN
-		}
-		/* NaN */
+	if (isFloat32NaN(b)) {
+		if (isFloat32SigNaN(b)) {
+			/*FIXME: SigNaN*/
+		}
+		/*NaN*/
 		return b;
 	}
 	
-	if (is_float32_infinity(a)) {
-		if (is_float32_infinity(b)) {
+	if (isFloat32Infinity(a)) {
+		if (isFloat32Infinity(b)) {
 			/*FIXME: inf / inf */
-			result.bin = FLOAT32_NAN;
+			result.binary = FLOAT32_NAN;
 			return result;
 		}
@@ -84,7 +83,7 @@
 		return result;
 	}
-	
-	if (is_float32_infinity(b)) {
-		if (is_float32_zero(a)) {
+
+	if (isFloat32Infinity(b)) {
+		if (isFloat32Zero(a)) {
 			/* FIXME 0 / inf */
 			result.parts.exp = 0;
@@ -98,8 +97,8 @@
 	}
 	
-	if (is_float32_zero(b)) {
-		if (is_float32_zero(a)) {
+	if (isFloat32Zero(b)) {
+		if (isFloat32Zero(a)) {
 			/*FIXME: 0 / 0*/
-			result.bin = FLOAT32_NAN;
+			result.binary = FLOAT32_NAN;
 			return result;
 		}
@@ -122,8 +121,8 @@
 			return result;
 		}
-		
+
 		/* normalize it*/
 		afrac <<= 1;
-		/* afrac is nonzero => it must stop */
+		/* afrac is nonzero => it must stop */	
 		while (!(afrac & FLOAT32_HIDDEN_BIT_MASK)) {
 			afrac <<= 1;
@@ -131,8 +130,8 @@
 		}
 	}
-	
+
 	if (bexp == 0) {
 		bfrac <<= 1;
-		/* bfrac is nonzero => it must stop */
+		/* bfrac is nonzero => it must stop */	
 		while (!(bfrac & FLOAT32_HIDDEN_BIT_MASK)) {
 			bfrac <<= 1;
@@ -140,8 +139,8 @@
 		}
 	}
-	
-	afrac = (afrac | FLOAT32_HIDDEN_BIT_MASK) << (32 - FLOAT32_FRACTION_SIZE - 1);
-	bfrac = (bfrac | FLOAT32_HIDDEN_BIT_MASK) << (32 - FLOAT32_FRACTION_SIZE);
-	
+
+	afrac =	(afrac | FLOAT32_HIDDEN_BIT_MASK) << (32 - FLOAT32_FRACTION_SIZE - 1);
+	bfrac =	(bfrac | FLOAT32_HIDDEN_BIT_MASK) << (32 - FLOAT32_FRACTION_SIZE);
+
 	if (bfrac <= (afrac << 1)) {
 		afrac >>= 1;
@@ -170,6 +169,6 @@
 		++cexp;
 		cfrac >>= 1;
-	}
-	
+	}	
+
 	/* check overflow */
 	if (cexp >= FLOAT32_MAX_EXPONENT) {
@@ -179,5 +178,5 @@
 		return result;
 	}
-	
+
 	if (cexp < 0) {
 		/* FIXME: underflow */
@@ -191,5 +190,5 @@
 			cexp++;
 			cfrac >>= 1;
-		}
+		}	
 	} else {
 		result.parts.exp = (uint32_t) cexp;
@@ -198,16 +197,15 @@
 	result.parts.fraction = ((cfrac >> 6) & (~FLOAT32_HIDDEN_BIT_MASK)); 
 	
-	return result;
+	return result;	
 }
 
-/** Divide two double-precision floats.
+/**
+ * Divide two double-precision floats.
  *
  * @param a Nominator.
  * @param b Denominator.
- *
  * @return Result of division.
- *
- */
-float64 div_float64(float64 a, float64 b) 
+ */
+float64 divFloat64(float64 a, float64 b) 
 {
 	float64 result;
@@ -219,29 +217,29 @@
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
 	
-	if (is_float64_nan(a)) {
-		if (is_float64_signan(b)) {
-			// FIXME: SigNaN
+	if (isFloat64NaN(a)) {
+		if (isFloat64SigNaN(b)) {
+			/*FIXME: SigNaN*/
 			return b;
 		}
 		
-		if (is_float64_signan(a)) {
-			// FIXME: SigNaN
-		}
-		/* NaN */
+		if (isFloat64SigNaN(a)) {
+			/*FIXME: SigNaN*/
+		}
+		/*NaN*/
 		return a;
 	}
 	
-	if (is_float64_nan(b)) {
-		if (is_float64_signan(b)) {
-			// FIXME: SigNaN
-		}
-		/* NaN */
+	if (isFloat64NaN(b)) {
+		if (isFloat64SigNaN(b)) {
+			/*FIXME: SigNaN*/
+		}
+		/*NaN*/
 		return b;
 	}
 	
-	if (is_float64_infinity(a)) {
-		if (is_float64_infinity(b) || is_float64_zero(b)) {
-			// FIXME: inf / inf
-			result.bin = FLOAT64_NAN;
+	if (isFloat64Infinity(a)) {
+		if (isFloat64Infinity(b) || isFloat64Zero(b)) {
+			/*FIXME: inf / inf */
+			result.binary = FLOAT64_NAN;
 			return result;
 		}
@@ -251,7 +249,7 @@
 		return result;
 	}
-	
-	if (is_float64_infinity(b)) {
-		if (is_float64_zero(a)) {
+
+	if (isFloat64Infinity(b)) {
+		if (isFloat64Zero(a)) {
 			/* FIXME 0 / inf */
 			result.parts.exp = 0;
@@ -265,8 +263,8 @@
 	}
 	
-	if (is_float64_zero(b)) {
-		if (is_float64_zero(a)) {
+	if (isFloat64Zero(b)) {
+		if (isFloat64Zero(a)) {
 			/*FIXME: 0 / 0*/
-			result.bin = FLOAT64_NAN;
+			result.binary = FLOAT64_NAN;
 			return result;
 		}
@@ -276,5 +274,5 @@
 		return result;
 	}
-	
+
 	afrac = a.parts.fraction;
 	aexp = a.parts.exp;
@@ -289,5 +287,5 @@
 			return result;
 		}
-		
+
 		/* normalize it*/
 		aexp++;
@@ -298,5 +296,5 @@
 		}
 	}
-	
+
 	if (bexp == 0) {
 		bexp++;
@@ -307,8 +305,8 @@
 		}
 	}
-	
-	afrac = (afrac | FLOAT64_HIDDEN_BIT_MASK) << (64 - FLOAT64_FRACTION_SIZE - 2);
-	bfrac = (bfrac | FLOAT64_HIDDEN_BIT_MASK) << (64 - FLOAT64_FRACTION_SIZE - 1);
-	
+
+	afrac =	(afrac | FLOAT64_HIDDEN_BIT_MASK) << (64 - FLOAT64_FRACTION_SIZE - 2);
+	bfrac =	(bfrac | FLOAT64_HIDDEN_BIT_MASK) << (64 - FLOAT64_FRACTION_SIZE - 1);
+
 	if (bfrac <= (afrac << 1)) {
 		afrac >>= 1;
@@ -332,17 +330,16 @@
 	
 	/* round and shift */
-	result = finish_float64(cexp, cfrac, result.parts.sign);
+	result = finishFloat64(cexp, cfrac, result.parts.sign);
 	return result;
 }
 
-/** Divide two quadruple-precision floats.
+/**
+ * Divide two quadruple-precision floats.
  *
  * @param a Nominator.
  * @param b Denominator.
- *
  * @return Result of division.
- *
- */
-float128 div_float128(float128 a, float128 b)
+ */
+float128 divFloat128(float128 a, float128 b)
 {
 	float128 result;
@@ -352,33 +349,33 @@
 	uint64_t rem_hihi, rem_hilo, rem_lohi, rem_lolo;
 	uint64_t tmp_hihi, tmp_hilo, tmp_lohi, tmp_lolo;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
-	
-	if (is_float128_nan(a)) {
-		if (is_float128_signan(b)) {
-			// FIXME: SigNaN
+
+	if (isFloat128NaN(a)) {
+		if (isFloat128SigNaN(b)) {
+			/*FIXME: SigNaN*/
 			return b;
 		}
-		
-		if (is_float128_signan(a)) {
-			// FIXME: SigNaN
-		}
-		/* NaN */
+
+		if (isFloat128SigNaN(a)) {
+			/*FIXME: SigNaN*/
+		}
+		/*NaN*/
 		return a;
 	}
-	
-	if (is_float128_nan(b)) {
-		if (is_float128_signan(b)) {
-			// FIXME: SigNaN
-		}
-		/* NaN */
+
+	if (isFloat128NaN(b)) {
+		if (isFloat128SigNaN(b)) {
+			/*FIXME: SigNaN*/
+		}
+		/*NaN*/
 		return b;
 	}
-	
-	if (is_float128_infinity(a)) {
-		if (is_float128_infinity(b) || is_float128_zero(b)) {
-			// FIXME: inf / inf
-			result.bin.hi = FLOAT128_NAN_HI;
-			result.bin.lo = FLOAT128_NAN_LO;
+
+	if (isFloat128Infinity(a)) {
+		if (isFloat128Infinity(b) || isFloat128Zero(b)) {
+			/*FIXME: inf / inf */
+			result.binary.hi = FLOAT128_NAN_HI;
+			result.binary.lo = FLOAT128_NAN_LO;
 			return result;
 		}
@@ -389,8 +386,8 @@
 		return result;
 	}
-	
-	if (is_float128_infinity(b)) {
-		if (is_float128_zero(a)) {
-			// FIXME 0 / inf
+
+	if (isFloat128Infinity(b)) {
+		if (isFloat128Zero(a)) {
+			/* FIXME 0 / inf */
 			result.parts.exp = 0;
 			result.parts.frac_hi = 0;
@@ -398,5 +395,5 @@
 			return result;
 		}
-		// FIXME: num / inf
+		/* FIXME: num / inf*/
 		result.parts.exp = 0;
 		result.parts.frac_hi = 0;
@@ -404,13 +401,13 @@
 		return result;
 	}
-	
-	if (is_float128_zero(b)) {
-		if (is_float128_zero(a)) {
-			// FIXME: 0 / 0
-			result.bin.hi = FLOAT128_NAN_HI;
-			result.bin.lo = FLOAT128_NAN_LO;
-			return result;
-		}
-		// FIXME: division by zero
+
+	if (isFloat128Zero(b)) {
+		if (isFloat128Zero(a)) {
+			/*FIXME: 0 / 0*/
+			result.binary.hi = FLOAT128_NAN_HI;
+			result.binary.lo = FLOAT128_NAN_LO;
+			return result;
+		}
+		/* FIXME: division by zero */
 		result.parts.exp = 0;
 		result.parts.frac_hi = 0;
@@ -418,5 +415,5 @@
 		return result;
 	}
-	
+
 	afrac_hi = a.parts.frac_hi;
 	afrac_lo = a.parts.frac_lo;
@@ -425,5 +422,5 @@
 	bfrac_lo = b.parts.frac_lo;
 	bexp = b.parts.exp;
-	
+
 	/* denormalized numbers */
 	if (aexp == 0) {
@@ -434,5 +431,5 @@
 			return result;
 		}
-		
+
 		/* normalize it*/
 		aexp++;
@@ -446,5 +443,5 @@
 		}
 	}
-	
+
 	if (bexp == 0) {
 		bexp++;
@@ -458,5 +455,5 @@
 		}
 	}
-	
+
 	or128(afrac_hi, afrac_lo,
 	    FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO,
@@ -469,18 +466,18 @@
 	lshift128(bfrac_hi, bfrac_lo,
 	    (128 - FLOAT128_FRACTION_SIZE - 1), &bfrac_hi, &bfrac_lo);
-	
+
 	if (le128(bfrac_hi, bfrac_lo, afrac_hi, afrac_lo)) {
 		rshift128(afrac_hi, afrac_lo, 1, &afrac_hi, &afrac_lo);
 		aexp++;
 	}
-	
+
 	cexp = aexp - bexp + FLOAT128_BIAS - 2;
-	
+
 	cfrac_hi = div128est(afrac_hi, afrac_lo, bfrac_hi);
-	
+
 	mul128(bfrac_hi, bfrac_lo, 0x0ll, cfrac_hi,
 	    &tmp_lolo /* dummy */, &tmp_hihi, &tmp_hilo, &tmp_lohi);
-	
-	/* sub192(afrac_hi, afrac_lo, 0,
+
+	/* sub192(afrac_hi, afrac_lo, 0, 
 	 *     tmp_hihi, tmp_hilo, tmp_lohi
 	 *     &rem_hihi, &rem_hilo, &rem_lohi); */
@@ -490,8 +487,8 @@
 	}
 	rem_lohi = -tmp_lohi;
-	
+
 	while ((int64_t) rem_hihi < 0) {
 		--cfrac_hi;
-		/* add192(rem_hihi, rem_hilo, rem_lohi,
+		/* add192(rem_hihi, rem_hilo, rem_lohi, 
 		 *     0, bfrac_hi, bfrac_lo,
 		 *     &rem_hihi, &rem_hilo, &rem_lohi); */
@@ -501,11 +498,11 @@
 		}
 	}
-	
+
 	cfrac_lo = div128est(rem_hilo, rem_lohi, bfrac_lo);
-	
+
 	if ((cfrac_lo & 0x3FFF) <= 4) {
 		mul128(bfrac_hi, bfrac_lo, 0x0ll, cfrac_lo,
-		    &tmp_hihi /* dummy */, &tmp_hilo, &tmp_lohi, &tmp_lolo);
-		
+	        &tmp_hihi /* dummy */, &tmp_hilo, &tmp_lohi, &tmp_lolo);
+
 		/* sub192(rem_hilo, rem_lohi, 0,
 		 *     tmp_hilo, tmp_lohi, tmp_lolo,
@@ -516,5 +513,5 @@
 		}
 		rem_lolo = -tmp_lolo;
-		
+
 		while ((int64_t) rem_hilo < 0) {
 			--cfrac_lo;
@@ -527,13 +524,13 @@
 			}
 		}
-		
+
 		cfrac_lo |= ((rem_hilo | rem_lohi | rem_lolo) != 0 );
 	}
-	
+
 	shift_out = cfrac_lo << (64 - (128 - FLOAT128_FRACTION_SIZE - 1));
 	rshift128(cfrac_hi, cfrac_lo, (128 - FLOAT128_FRACTION_SIZE - 1),
 	    &cfrac_hi, &cfrac_lo);
-	
-	result = finish_float128(cexp, cfrac_hi, cfrac_lo, result.parts.sign, shift_out);
+
+	result = finishFloat128(cexp, cfrac_hi, cfrac_lo, result.parts.sign, shift_out);
 	return result;
 }
Index: uspace/lib/softfloat/generic/mul.c
===================================================================
--- uspace/lib/softfloat/generic/mul.c	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/generic/mul.c	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -39,28 +39,27 @@
 #include <common.h>
 
-/** Multiply two single-precision floats.
+/**
+ * Multiply two single-precision floats.
  *
  * @param a First input operand.
  * @param b Second input operand.
- *
  * @return Result of multiplication.
- *
- */
-float32 mul_float32(float32 a, float32 b)
+ */
+float32 mulFloat32(float32 a, float32 b)
 {
 	float32 result;
 	uint64_t frac1, frac2;
 	int32_t exp;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
 	
-	if (is_float32_nan(a) || is_float32_nan(b)) {
+	if (isFloat32NaN(a) || isFloat32NaN(b)) {
 		/* TODO: fix SigNaNs */
-		if (is_float32_signan(a)) {
+		if (isFloat32SigNaN(a)) {
 			result.parts.fraction = a.parts.fraction;
 			result.parts.exp = a.parts.exp;
 			return result;
 		}
-		if (is_float32_signan(b)) { /* TODO: fix SigNaN */
+		if (isFloat32SigNaN(b)) { /* TODO: fix SigNaN */
 			result.parts.fraction = b.parts.fraction;
 			result.parts.exp = b.parts.exp;
@@ -68,12 +67,12 @@
 		}
 		/* set NaN as result */
-		result.bin = FLOAT32_NAN;
-		return result;
-	}
-	
-	if (is_float32_infinity(a)) {
-		if (is_float32_zero(b)) {
-			/* FIXME: zero * infinity */
-			result.bin = FLOAT32_NAN;
+		result.binary = FLOAT32_NAN;
+		return result;
+	}
+		
+	if (isFloat32Infinity(a)) { 
+		if (isFloat32Zero(b)) {
+			/* FIXME: zero * infinity */
+			result.binary = FLOAT32_NAN;
 			return result;
 		}
@@ -82,9 +81,9 @@
 		return result;
 	}
-	
-	if (is_float32_infinity(b)) {
-		if (is_float32_zero(a)) {
-			/* FIXME: zero * infinity */
-			result.bin = FLOAT32_NAN;
+
+	if (isFloat32Infinity(b)) { 
+		if (isFloat32Zero(a)) {
+			/* FIXME: zero * infinity */
+			result.binary = FLOAT32_NAN;
 			return result;
 		}
@@ -93,5 +92,5 @@
 		return result;
 	}
-	
+
 	/* exp is signed so we can easy detect underflow */
 	exp = a.parts.exp + b.parts.exp;
@@ -101,5 +100,5 @@
 		/* FIXME: overflow */
 		/* set infinity as result */
-		result.bin = FLOAT32_INF;
+		result.binary = FLOAT32_INF;
 		result.parts.sign = a.parts.sign ^ b.parts.sign;
 		return result;
@@ -122,5 +121,5 @@
 	
 	frac2 = b.parts.fraction;
-	
+
 	if (b.parts.exp > 0) {
 		frac2 |= FLOAT32_HIDDEN_BIT_MASK;
@@ -128,28 +127,26 @@
 		++exp;
 	}
-	
+
 	frac1 <<= 1; /* one bit space for rounding */
-	
+
 	frac1 = frac1 * frac2;
-	
+
 	/* round and return */
-	while ((exp < FLOAT32_MAX_EXPONENT) &&
-	    (frac1 >= (1 << (FLOAT32_FRACTION_SIZE + 2)))) {
+	while ((exp < FLOAT32_MAX_EXPONENT) && (frac1 >= (1 << (FLOAT32_FRACTION_SIZE + 2)))) { 
 		/* 23 bits of fraction + one more for hidden bit (all shifted 1 bit left) */
 		++exp;
 		frac1 >>= 1;
 	}
-	
+
 	/* rounding */
 	/* ++frac1; FIXME: not works - without it is ok */
 	frac1 >>= 1; /* shift off rounding space */
 	
-	if ((exp < FLOAT32_MAX_EXPONENT) &&
-	    (frac1 >= (1 << (FLOAT32_FRACTION_SIZE + 1)))) {
+	if ((exp < FLOAT32_MAX_EXPONENT) && (frac1 >= (1 << (FLOAT32_FRACTION_SIZE + 1)))) {
 		++exp;
 		frac1 >>= 1;
 	}
-	
-	if (exp >= FLOAT32_MAX_EXPONENT) {
+
+	if (exp >= FLOAT32_MAX_EXPONENT) {	
 		/* TODO: fix overflow */
 		/* return infinity*/
@@ -160,6 +157,6 @@
 	
 	exp -= FLOAT32_FRACTION_SIZE;
-	
-	if (exp <= FLOAT32_FRACTION_SIZE) {
+
+	if (exp <= FLOAT32_FRACTION_SIZE) { 
 		/* denormalized number */
 		frac1 >>= 1; /* denormalize */
@@ -178,31 +175,30 @@
 	result.parts.fraction = frac1 & ((1 << FLOAT32_FRACTION_SIZE) - 1);
 	
-	return result;
+	return result;	
 }
 
-/** Multiply two double-precision floats.
+/**
+ * Multiply two double-precision floats.
  *
  * @param a First input operand.
  * @param b Second input operand.
- *
  * @return Result of multiplication.
- *
- */
-float64 mul_float64(float64 a, float64 b)
+ */
+float64 mulFloat64(float64 a, float64 b)
 {
 	float64 result;
 	uint64_t frac1, frac2;
 	int32_t exp;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
 	
-	if (is_float64_nan(a) || is_float64_nan(b)) {
+	if (isFloat64NaN(a) || isFloat64NaN(b)) {
 		/* TODO: fix SigNaNs */
-		if (is_float64_signan(a)) {
+		if (isFloat64SigNaN(a)) {
 			result.parts.fraction = a.parts.fraction;
 			result.parts.exp = a.parts.exp;
 			return result;
 		}
-		if (is_float64_signan(b)) { /* TODO: fix SigNaN */
+		if (isFloat64SigNaN(b)) { /* TODO: fix SigNaN */
 			result.parts.fraction = b.parts.fraction;
 			result.parts.exp = b.parts.exp;
@@ -210,12 +206,12 @@
 		}
 		/* set NaN as result */
-		result.bin = FLOAT64_NAN;
-		return result;
-	}
-	
-	if (is_float64_infinity(a)) {
-		if (is_float64_zero(b)) {
-			/* FIXME: zero * infinity */
-			result.bin = FLOAT64_NAN;
+		result.binary = FLOAT64_NAN;
+		return result;
+	}
+		
+	if (isFloat64Infinity(a)) { 
+		if (isFloat64Zero(b)) {
+			/* FIXME: zero * infinity */
+			result.binary = FLOAT64_NAN;
 			return result;
 		}
@@ -224,9 +220,9 @@
 		return result;
 	}
-	
-	if (is_float64_infinity(b)) {
-		if (is_float64_zero(a)) {
-			/* FIXME: zero * infinity */
-			result.bin = FLOAT64_NAN;
+
+	if (isFloat64Infinity(b)) { 
+		if (isFloat64Zero(a)) {
+			/* FIXME: zero * infinity */
+			result.binary = FLOAT64_NAN;
 			return result;
 		}
@@ -235,10 +231,10 @@
 		return result;
 	}
-	
+
 	/* exp is signed so we can easy detect underflow */
 	exp = a.parts.exp + b.parts.exp - FLOAT64_BIAS;
 	
 	frac1 = a.parts.fraction;
-	
+
 	if (a.parts.exp > 0) {
 		frac1 |= FLOAT64_HIDDEN_BIT_MASK;
@@ -248,5 +244,5 @@
 	
 	frac2 = b.parts.fraction;
-	
+
 	if (b.parts.exp > 0) {
 		frac2 |= FLOAT64_HIDDEN_BIT_MASK;
@@ -254,10 +250,10 @@
 		++exp;
 	}
-	
+
 	frac1 <<= (64 - FLOAT64_FRACTION_SIZE - 1);
 	frac2 <<= (64 - FLOAT64_FRACTION_SIZE - 2);
-	
+
 	mul64(frac1, frac2, &frac1, &frac2);
-	
+
 	frac1 |= (frac2 != 0);
 	if (frac1 & (0x1ll << 62)) {
@@ -265,28 +261,27 @@
 		exp--;
 	}
-	
-	result = finish_float64(exp, frac1, result.parts.sign);
+
+	result = finishFloat64(exp, frac1, result.parts.sign);
 	return result;
 }
 
-/** Multiply two quadruple-precision floats.
+/**
+ * Multiply two quadruple-precision floats.
  *
  * @param a First input operand.
  * @param b Second input operand.
- *
  * @return Result of multiplication.
- *
- */
-float128 mul_float128(float128 a, float128 b)
+ */
+float128 mulFloat128(float128 a, float128 b)
 {
 	float128 result;
 	uint64_t frac1_hi, frac1_lo, frac2_hi, frac2_lo, tmp_hi, tmp_lo;
 	int32_t exp;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
-	
-	if (is_float128_nan(a) || is_float128_nan(b)) {
+
+	if (isFloat128NaN(a) || isFloat128NaN(b)) {
 		/* TODO: fix SigNaNs */
-		if (is_float128_signan(a)) {
+		if (isFloat128SigNaN(a)) {
 			result.parts.frac_hi = a.parts.frac_hi;
 			result.parts.frac_lo = a.parts.frac_lo;
@@ -294,5 +289,5 @@
 			return result;
 		}
-		if (is_float128_signan(b)) { /* TODO: fix SigNaN */
+		if (isFloat128SigNaN(b)) { /* TODO: fix SigNaN */
 			result.parts.frac_hi = b.parts.frac_hi;
 			result.parts.frac_lo = b.parts.frac_lo;
@@ -301,14 +296,14 @@
 		}
 		/* set NaN as result */
-		result.bin.hi = FLOAT128_NAN_HI;
-		result.bin.lo = FLOAT128_NAN_LO;
-		return result;
-	}
-	
-	if (is_float128_infinity(a)) {
-		if (is_float128_zero(b)) {
-			/* FIXME: zero * infinity */
-			result.bin.hi = FLOAT128_NAN_HI;
-			result.bin.lo = FLOAT128_NAN_LO;
+		result.binary.hi = FLOAT128_NAN_HI;
+		result.binary.lo = FLOAT128_NAN_LO;
+		return result;
+	}
+
+	if (isFloat128Infinity(a)) {
+		if (isFloat128Zero(b)) {
+			/* FIXME: zero * infinity */
+			result.binary.hi = FLOAT128_NAN_HI;
+			result.binary.lo = FLOAT128_NAN_LO;
 			return result;
 		}
@@ -318,10 +313,10 @@
 		return result;
 	}
-	
-	if (is_float128_infinity(b)) {
-		if (is_float128_zero(a)) {
-			/* FIXME: zero * infinity */
-			result.bin.hi = FLOAT128_NAN_HI;
-			result.bin.lo = FLOAT128_NAN_LO;
+
+	if (isFloat128Infinity(b)) {
+		if (isFloat128Zero(a)) {
+			/* FIXME: zero * infinity */
+			result.binary.hi = FLOAT128_NAN_HI;
+			result.binary.lo = FLOAT128_NAN_LO;
 			return result;
 		}
@@ -331,22 +326,22 @@
 		return result;
 	}
-	
+
 	/* exp is signed so we can easy detect underflow */
 	exp = a.parts.exp + b.parts.exp - FLOAT128_BIAS - 1;
-	
+
 	frac1_hi = a.parts.frac_hi;
 	frac1_lo = a.parts.frac_lo;
-	
+
 	if (a.parts.exp > 0) {
 		or128(frac1_hi, frac1_lo,
-		    FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO,
-		    &frac1_hi, &frac1_lo);
-	} else {
-		++exp;
-	}
-	
+	        FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO,
+	        &frac1_hi, &frac1_lo);
+	} else {
+		++exp;
+	}
+
 	frac2_hi = b.parts.frac_hi;
 	frac2_lo = b.parts.frac_lo;
-	
+
 	if (b.parts.exp > 0) {
 		or128(frac2_hi, frac2_lo,
@@ -356,8 +351,8 @@
 		++exp;
 	}
-	
+
 	lshift128(frac2_hi, frac2_lo,
 	    128 - FLOAT128_FRACTION_SIZE, &frac2_hi, &frac2_lo);
-	
+
 	tmp_hi = frac1_hi;
 	tmp_lo = frac1_lo;
@@ -366,5 +361,5 @@
 	add128(frac1_hi, frac1_lo, tmp_hi, tmp_lo, &frac1_hi, &frac1_lo);
 	frac2_hi |= (frac2_lo != 0x0ll);
-	
+
 	if ((FLOAT128_HIDDEN_BIT_MASK_HI << 1) <= frac1_hi) {
 		frac2_hi >>= 1;
@@ -375,6 +370,6 @@
 		++exp;
 	}
-	
-	result = finish_float128(exp, frac1_hi, frac1_lo, result.parts.sign, frac2_hi);
+
+	result = finishFloat128(exp, frac1_hi, frac1_lo, result.parts.sign, frac2_hi);
 	return result;
 }
